<?php

namespace Digitanie\Component\Leaflet\Site\View\Leaflet;

defined('_JEXEC') or die;

use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use Joomla\CMS\Factory;

/**
 * View for the user identity validation form
 */
class HtmlView extends BaseHtmlView {
    
    /**
     * Display the view
     *
     * @param   string  $template  The name of the layout file to parse.
     * @return  void
     */
    public function display($template = null) {
        $this->loadTemplateHeader();
        // Call the parent display to display the layout file
        parent::display($template);
    }

    /**
	 * Load the template header data here to simplify the template
	 */
	protected function loadTemplateHeader()
	{
		// Import CSS
		$document = Factory::getDocument();
		$document->addStyleSheet('components/com_leaflet/assets/css/global.css');
	}
}